Subject: Re: [PATCH net-next-2.6 v6 1/1] can: c_can: Added support for Bosch C_CAN controller

From: Marc Kleine-Budde <[email-masked]>
Date: Wed, 09 Feb 2011 11:46:55 +0100

On 02/09/2011 11:41 AM, Wolfgang Grandegger wrote:
> Hi Marc,
> 
> On 02/09/2011 10:27 AM, Marc Kleine-Budde wrote:
>> On 02/09/2011 06:03 AM, Bhupesh Sharma wrote:
>>> +	if (flags & IF_ARB_TRANSMIT)
>>> +		frame->can_id |= CAN_RTR_FLAG;
>>
>> Can you please only copy the data to the frame if the rtr flag isn't
>> set. Not all driver do this yet, but we've agreed to do so.
> 
> Yes, I remember the patch
> 
> [PATCH v2 0/9] can: don't copy data to rx'ed RTR frames
> 
> What happend with it?

*g* - I didn't compile tested all drivers, and David found an error. I'm
busy right now but I've requested a timeslot for it.

regards, Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |

_______________________________________________
Socketcan-core mailing list
[email-masked]
https://lists.berlios.de/mailman/listinfo/socketcan-core